bookingsV2
Query
Signature
Section titled “Signature”query { bookingsV2( filter: BookingsFilterInputV2 = null start: Int = 0 count: Int = 50 ordering: BookingOrdering = "Time" ascending: Boolean = true ): BookingQuery!}Arguments
Section titled “Arguments”| Argument | Type | Default | Description |
|---|---|---|---|
filter | BookingsFilterInputV2 | null | The inclusive filter on bookings that will be returned |
start | Int | 0 | The index of the first booking in the list to be returned |
count | Int | 50 | The number of bookings to be returned. Max 1000 |
ordering | BookingOrdering | "Time" | The ordering method of the bookings being returned |
ascending | Boolean | true | A flag indicating whether the bookings are in ascending order by the ordering method. True indicates ascending order. False indicates descending order. |
Return type
Section titled “Return type”BookingQuery (BookingQuery!)
Example
Section titled “Example”query BookingsV2($filter: BookingsFilterInputV2, $start: Int, $count: Int, $ordering: BookingOrdering, $ascending: Boolean) { bookingsV2(filter: $filter, start: $start, count: $count, ordering: $ordering, ascending: $ascending) { pageNumber pageSize totalPages results bookings { id pin requestedTime } }}curl -X POST https://my.mobiledock.com/api/v1/graphql \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "query": "query BookingsV2($filter: BookingsFilterInputV2, $start: Int, $count: Int, $ordering: BookingOrdering, $ascending: Boolean) { bookingsV2(filter: $filter, start: $start, count: $count, ordering: $ordering, ascending: $ascending) { id } }", "variables": {} }'const response = await fetch('https://my.mobiledock.com/api/v1/graphql', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ query: ` query BookingsV2($filter: BookingsFilterInputV2, $start: Int, $count: Int, $ordering: BookingOrdering, $ascending: Boolean) { bookingsV2(filter: $filter, start: $start, count: $count, ordering: $ordering, ascending: $ascending) { pageNumber pageSize totalPages results bookings { id pin requestedTime } } } `, variables: {}, }),});
const data = await response.json();Example response
Section titled “Example response”{ "data": { "bookingsV2": { "pageNumber": 1, "pageSize": 100, "totalPages": 5, "results": 42, "bookings": [ { "id": "MDB-26-GS8Q-8Q30", "pin": "65471", "requestedTime": "2026-03-28T19:00:00Z" } ] } }}